Generate a pre-signed S3 URL for a browser run artifact (HAR or video).
GET
/browser_check/{check_id}/results/{result_id}/artifact_url
const url = 'https://api.siteqwality.com/browser_check/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/results/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/artifact_url?artifact_type=example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.siteqwality.com/browser_check/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/results/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/artifact_url?artifact_type=example' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” check_id
required
string format: uuid
Browser monitor identifier
result_id
required
string format: uuid
Browser run result identifier
Query Parameters
Section titled “Query Parameters ” artifact_type
required
string
One of: har, video, screenshot
screenshot_index
integer
Screenshot index when artifact_type is screenshot
Responses
Section titled “ Responses ”Pre-signed URL
Media type application/json
object
url
required
string
expires_in_seconds
required
integer format: int64
Example generated
{ "url": "example", "expires_in_seconds": 1}Missing or invalid authentication
Result or artifact not found
Internal server error